| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jdphuff.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jdhuff.h"`

Go to the source code of this file.

## Classes
struct | savable_state
struct | phuff_entropy_decoder

## Macros
#define | JPEG_INTERNALS
#define | ASSIGN_STATE(dest, src) ((dest) = (src))
#define | HUFF_EXTEND(x, s) ((x) < extend_test[s] ? (x) + extend_offset[s] : (x))

## Typedefs
typedef phuff_entropy_decoder * | phuff_entropy_ptr

## Functions
| METHODDEF (boolean)
| process_restart (j_decompress_ptr cinfo)
| decode_mcu_DC_first (j_decompress_ptr cinfo, JBLOCKROW *MCU_data)
| decode_mcu_AC_first (j_decompress_ptr cinfo, JBLOCKROW *MCU_data)
| decode_mcu_DC_refine (j_decompress_ptr cinfo, JBLOCKROW *MCU_data)
| decode_mcu_AC_refine (j_decompress_ptr cinfo, JBLOCKROW *MCU_data)
| jinit_phuff_decoder (j_decompress_ptr cinfo)

## Macro Definition Documentation

#define ASSIGN_STATE | ( |  | dest,
|  |  | src
| ) |  | ((dest) = (src))

Definition at line 43 of file jdphuff.c.

#define HUFF_EXTEND | ( |  | x,
|  |  | s
| ) |  | ((x) < extend_test[s] ? (x) + extend_offset[s] : (x))

Definition at line 207 of file jdphuff.c.

#define JPEG_INTERNALS

Definition at line 17 of file jdphuff.c.

## Typedef Documentation

typedef phuff_entropy_decoder* phuff_entropy_ptr

Definition at line 74 of file jdphuff.c.

## Function Documentation

decode_mcu_AC_first | ( | j_decompress_ptr | cinfo,
|  | JBLOCKROW * | MCU_data
| ) |  |

Definition at line 357 of file jdphuff.c.

decode_mcu_AC_refine | ( | j_decompress_ptr | cinfo,
|  | JBLOCKROW * | MCU_data
| ) |  |

Definition at line 491 of file jdphuff.c.

decode_mcu_DC_first | ( | j_decompress_ptr | cinfo,
|  | JBLOCKROW * | MCU_data
| ) |  |

Definition at line 286 of file jdphuff.c.

decode_mcu_DC_refine | ( | j_decompress_ptr | cinfo,
|  | JBLOCKROW * | MCU_data
| ) |  |

Definition at line 442 of file jdphuff.c.

jinit_phuff_decoder | ( | j_decompress_ptr | cinfo | ) |

Definition at line 641 of file jdphuff.c.

METHODDEF | ( | boolean |  | ) |

Definition at line 77 of file jdphuff.c.

process_restart | ( | j_decompress_ptr | cinfo | ) |

Definition at line 228 of file jdphuff.c.